@view-transition {
	navigation: auto;
}

body {
	display: flex;
	flex-direction: column;
	min-height: 100dvh;
	font-family: var(--font-primary);
	font-size: var(--text-xl);
	font-weight: 400;
	line-height: 1.5;
	color: var(--color-white);
	background-color: var(--color-black);
	overflow-x: hidden;
}

main {
	flex-grow: 1;
}

h1,
h2,
h3,
h4,
h5,
h6,
.h1,
.h2,
.h3,
.h4,
.h5,
.h6 {
	font-family: var(--font-secondary);
	font-weight: 500;
	color: inherit;
	margin: initial;
}

h1,
.h1 {
	font-size: var(--heading-h1);
	line-height: var(--heading-h1-lh);
	letter-spacing: var(--heading-h1-ls);
}
h2,
.h2 {
	font-size: var(--heading-h2);
	line-height: var(--heading-h2-lh);
	letter-spacing: var(--heading-h2-ls);
}
h3,
.h3 {
	font-size: var(--heading-h3);
	line-height: var(--heading-h3-lh);
	letter-spacing: var(--heading-h3-ls);
}
h4,
.h4 {
	font-size: var(--heading-h4);
	line-height: var(--heading-h4-lh);
	letter-spacing: var(--heading-h4-ls);
}
h5,
.h5 {
	font-size: var(--heading-h5);
	line-height: var(--heading-h5-lh);
	letter-spacing: var(--heading-h5-ls);
}
h6,
.h6 {
	font-size: var(--heading-h6);
	line-height: var(--heading-h6-lh);
	letter-spacing: var(--heading-h6-ls);
}

p {
	margin-bottom: 0;
}

a {
	color: inherit;
	text-decoration: none;
	transition: all 0.15s;
}

b, strong {
	font-weight: 700;
}

ul,
ol {
	padding-left: 2ch;
	margin-bottom: 0;
	li::marker {
		font-weight: 700;
		color: var(--color-black);
	}
}

img {
	height: auto;
	max-width: 100%;
}

video {
	width: 100%;
	height: auto;
}

figure {
	margin-bottom: initial;
}

.container {
	width: 100%;
	max-width: var(--container);
	transition: padding 0.3s;
}

.btn {
	--btn-transition-duration: 0.15s;
	display: inline-flex;
	align-items: center;
	justify-content: center;
	gap: 0.625em;
	font-family: var(--font-primary);
	font-size: var(--text-xl);
	font-weight: 600;
	line-height: 1.25;
	letter-spacing: 0em;
	border-radius: 50em;
	padding: 0;
	transition: all var(--btn-transition-duration);

	.btn-text {
		transition: all var(--btn-transition-duration);
	}

	.btn-icon {
		font-size: 1em;
		transition: all var(--btn-transition-duration);
	}

	&:hover,
	&:focus-visible {
	}

	&.btn-primary {
		padding: 0.75em 1.625em;
		color: var(--color-black);
		border-color: var(--color-white);
		background-color: var(--color-white);
		
		&:hover,
		&:focus-visible {
			color: var(--color-white);
			border-color: var(--color-primary);
			background-color: var(--color-primary);
		}
	}

	&.btn-secondary {
		padding: 0.75em 1.625em;
		color: var(--color-white);
		border-color: var(--color-white);
		background-color: var(--color-primary);
		
		&:hover,
		&:focus-visible {
			color: var(--color-primary);
			border-color: var(--color-primary);
			background-color: var(--color-white);
		}
	}

	&.btn-custom {
		align-items: stretch;
		.btn-text {
			padding: 0.75em 1.625em;
			background-color: var(--color-white);
			border-radius: 50em;
		}
		.btn-icon {
			display: grid;
			place-items: center;
			padding: 0.75em;
			background-color: var(--color-white);
			border-radius: 50em;
		}

		&:hover,
		&:focus-visible {
			.btn-text {
				color: var(--color-black);
			}
			.btn-icon {
				color: var(--color-white);
				background-color: var(--color-primary);
			}
		}
	}

	&[class*="btn-outline-"] {
	}
}

.reset-btn {
	border: none;
	outline: none;
	margin: 0;
	padding: 0;
	width: auto;
	overflow: visible;
	background: transparent;
	color: inherit;
	font: inherit;
	line-height: normal;
	-webkit-font-smoothing: inherit;
	-moz-osx-font-smoothing: inherit;
	-webkit-appearance: none;
	appearance: none;
	&::-moz-focus-inner {
		border: 0;
		padding: 0;
	}
	&:focus,
	&:focus:not(:focus-visible),
	&:focus:not(:-moz-focusring) {
		outline: none;
	}
}

.reset-ul {
	list-style: none;
	padding-left: 0;
	margin-bottom: 0;
}
